export declare class RSpinnerComponent {
    /**
     * Loading text that is shown near the icon
     * @type string
     */
    message: string;
    /**
     * Spinner size, available sizes:
     * tiny, small, medium, large, giant
     * @param {string} value
     */
    size: string;
    /**
     * Spinner status (adds specific styles):
     * `basic`, `primary`, `info`, `success`, `warning`, `danger`, `control`.
     */
    status: string;
    get tiny(): boolean;
    get small(): boolean;
    get medium(): boolean;
    get large(): boolean;
    get giant(): boolean;
    get primary(): boolean;
    get info(): boolean;
    get success(): boolean;
    get warning(): boolean;
    get danger(): boolean;
    get basic(): boolean;
    get control(): boolean;
}
